Author Topic: HELP, Canon updated my 5DmkIII firmware to 1.3.5, can not downgrade anymore?!  (Read 1701 times)

shinobaka

  • New to the forum
  • *
  • Posts: 1
Sorry everyone, I've searched the thread for this topic, but could not find one, I sent in my 5DmkIII to canon for repair and they sent it back with updated firmware (which took out my old ML) and it seems that the new firmware 1.3.5 blocks firmware downgrading from my EOS utility, which I was always able to do before. It was released in November 2017 I believe. Has anyone in the community found a way around it to downgrade back to firmware 1.2.3? does this mean I can never install ML again on my 5D3mkiii? :(